Bug 245132 - www/py-notebook: Update dependencies
Summary: www/py-notebook: Update dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks: 244934 244952
  Show dependency treegraph
 
Reported: 2020-03-28 14:17 UTC by Danilo G. Baio
Modified: 2020-04-06 00:22 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
py-notebook-ipykernel5.patch (898 bytes, patch)
2020-03-28 14:17 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-03-28 14:17:46 UTC
Created attachment 212795 [details]
py-notebook-ipykernel5.patch

This change is to prevent conflicts with two versions of ipython and prompt_toolkit that will be installed when we have all dependencies and consumers installed. see bug 244934.
Comment 1 Danilo G. Baio freebsd_committer 2020-03-28 14:31:28 UTC
Comment on attachment 212795 [details]
py-notebook-ipykernel5.patch

approved on bug #244934
https://bugs.freebsd.org/bugzilla/attachment.cgi?id=212582&action=diff
Comment 2 Danilo G. Baio freebsd_committer 2020-04-06 00:21:41 UTC
Committed in ports r530847.
Comment 3 commit-hook freebsd_committer 2020-04-06 00:22:22 UTC
A commit references this bug:

Author: dbaio
Date: Mon Apr  6 00:13:37 UTC 2020
New revision: 530847
URL: https://svnweb.freebsd.org/changeset/ports/530847

Log:
  devel/py-ipykernel: Mark as deprecated and set an expiry date

  Update consumers to use devel/py-ipykernel5.

  PR:		244934, 245132
  Approved by:	koobs (python, maintainer)

Changes:
  head/devel/py-ipykernel/Makefile
  head/www/py-notebook/Makefile